Create Book Repayment
Creates a repayment for a credit account.
Book Repayment creation requests support Idempotency, ensuring that performing multiple identical requests will have the same result as a single request.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments |
| Required Scope | repayments-write or payments-write |
| Data Type | repayment |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|
| string | Repayment description (maximum of 80 characters), this will show up on statement of the counterparty. |
| Integer | The amount (cents) to repay. |
| string | If this field is populated, its contents will be returned as the bookTransaction's summary field (maximum of 100 characters). |
| object | Optional. See Tags. |
| string | Optional. See Idempotency. |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "bookRepayment",
"attributes": {
"amount": 20,
"description": "test",
"transactionSummaryOverride": "override",
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10006"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"counterpartyAccount": {
"data": {
"type": "account",
"id": "10008"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
| Name | Type | Description |
|---|
| BookRepayment | The requested resource after the operation was completed. |
Example Response:
{
"data": {
"type": "bookRepayment",
"id": "4",
"attributes": {
"createdAt": "2022-09-19T09:10:09.206Z",
"updatedAt": "2022-09-19T09:10:09.206Z",
"amount": 20,
"status": "Sent"
},
"relationships": {
"counterparty": {
"data": {
"type": "account",
"id": "10008"
}
},
"account": {
"data": {
"type": "account",
"id": "10006"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"org": {
"data": {
"type": "org",
"id": "2"
}
},
"payment": {
"data": {
"type": "payment",
"id": "5"
}
}
}
}
}
Create ACH Repayment
Creates a repayment for a credit account. Both repayment.created and payment.created events are raised when the call is successful.
ACH Repayment creation requests support Idempotency, ensuring that performing multiple identical requests will have the same effect as performing a single request.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments |
| Required Scope | repayments-write or payments-write |
| Data Type | repayment |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|
| string | Payment description (maximum of 10 characters), also known as Company Entry Description, this will show up on statement of the counterparty. |
| Integer (Cents) | The amount to repay. |
| string | Optional, additional payment description (maximum of 80 characters), not all institutions present that. |
| object | Optional. See Tags. |
| boolean | Optional, default is false. See Same Day ACH. |
| string | Optional. See Use a custom SEC Code. |
| number | Optional. See Dynamic Clearing Period. |
| string | Optional. See Idempotency. |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "achRepayment",
"attributes": {
"amount": 200,
"description": "test"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10076"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10082"
}
},
"counterparty": {
"data": {
"type": "counterparty",
"id": "3"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
| Name | Type | Description |
|---|
| AchRepayment | The requested resource after the operation was completed. |
Example Response:
{
"data": {
"type": "achRepayment",
"id": "1",
"attributes": {
"createdAt": "2022-09-19T09:02:13.343Z",
"updatedAt": "2022-09-19T09:02:13.343Z",
"amount": 200,
"status": "Pending"
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"account": {
"data": {
"type": "account",
"id": "10003"
}
},
"counterparty": {
"data": {
"type": "counterparty",
"id": "1"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"payment": {
"data": {
"type": "payment",
"id": "1"
}
},
"recurringRepayment": {
"data": {
"type": "recurringRepayment",
"id": "4"
}
}
}
}
}
Create Capital Partner ACH Repayment
Creates a repayment for a credit account. Both repayment.created and payment.created events are raised when the call is successful.
Capital Partner Repayment creation requests support Idempotency, ensuring that performing multiple identical requests will have the same effect as performing a single request.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments |
| Required Scope | repayments-write or payments-write |
| Data Type | repayment |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|
| string | Payment description (maximum of 10 characters), also known as Company Entry Description, this will show up on statement of the counterparty. |
| Integer (Cents) | The amount to repay. |
| string | Optional, additional payment description (maximum of 80 characters), not all institutions present that. |
| object | Optional. See Tags. |
| boolean | Optional, default is false. See Same Day ACH. |
| string | Optional. See Use a custom SEC Code. |
| string | Optional. See Idempotency. |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "capitalPartnerAchRepayment",
"attributes": {
"amount": 200,
"description": "test"
},
"relationships": {
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10082"
}
},
"counterparty": {
"data": {
"type": "counterparty",
"id": "3"
}
}
}
}
}'
Response
Response is a JSON:API document.
Example Response:
{
"data": {
"type": "capitalPartnerAchRepayment",
"id": "1",
"attributes": {
"createdAt": "2022-09-19T09:02:13.343Z",
"updatedAt": "2022-09-19T09:02:13.343Z",
"amount": 200,
"status": "Pending"
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"counterparty": {
"data": {
"type": "counterparty",
"id": "1"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"payment": {
"data": {
"type": "payment",
"id": "1"
}
}
}
}
}
Create Capital Partner Book Repayment
Creates a repayment for a credit account.
Book Repayment creation requests support Idempotency, ensuring that performing multiple identical requests will have the same result as a single request.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments |
| Required Scope | repayments-write or payments-write |
| Data Type | repayment |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|
| string | Repayment description (maximum of 80 characters), this will show up on statement of the counterparty. |
| Integer | The amount (cents) to repay. |
| string | If this field is populated, its contents will be returned as the bookTransaction's summary field (maximum of 100 characters). |
| object | Optional. See Tags. |
| string | Optional. See Idempotency. |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "capitalPartnerBookRepayment",
"attributes": {
"amount": 20,
"description": "test",
"transactionSummaryOverride": "override",
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
},
"relationships": {
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"counterpartyAccount": {
"data": {
"type": "account",
"id": "10008"
}
}
}
}
}'
Response
Response is a JSON:API document.
Example Response:
{
"data": {
"type": "capitalPartnerBookRepayment",
"id": "4",
"attributes": {
"createdAt": "2022-09-19T09:10:09.206Z",
"updatedAt": "2022-09-19T09:10:09.206Z",
"amount": 20,
"status": "Sent"
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"counterparty": {
"data": {
"type": "account",
"id": "10008"
}
},
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"payment": {
"data": {
"type": "payment",
"id": "5"
}
},
"recurringRepayment": {
"data": {
"type": "recurringRepayment",
"id": "4"
}
}
}
}
}
Create External Repayment
Creates an external repayment for a credit account. This is used to record repayments made from sources outside the Unit platform.
External Repayment creation requests support Idempotency, ensuring that performing multiple identical requests will have the same result as a single request.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments |
| Required Scope | repayments-write |
| Data Type | externalRepayment |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|
| string | Repayment description (maximum of 80 characters). |
| Integer | The amount (cents) to repay. |
| object | Optional. See Tags. |
| string | Optional. See Idempotency. |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "externalRepayment",
"attributes": {
"amount": 50000,
"description": "External payment"
},
"relationships": {
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
| Name | Type | Description |
|---|
| ExternalRepayment | The requested resource after the operation was completed. |
Example Response:
{
"data": {
"type": "externalRepayment",
"id": "1",
"attributes": {
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z",
"amount": 50000,
"status": "Sent",
"description": "External payment"
},
"relationships": {
"creditAccount": {
"data": {
"type": "creditAccount",
"id": "10007"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"org": {
"data": {
"type": "org",
"id": "1"
}
}
}
}
}
Return External Repayment
Returns an external repayment that was previously created with Sent status. This is used when the external payment needs to be reversed. When an external repayment is returned, the credit account balance will increase and the available credit limit will decrease.
A repayment.statusChanged event will be raised when an external repayment is returned.
| Verb | POST |
| URL | https://api.s.unit.sh/repayments/{repaymentId}/return |
| Required Scope | repayments-write |
| Data Type | externalRepaymentReturn |
| Timeout (Seconds) | 5 |
Relationships
curl -X POST 'https://api.s.unit.sh/repayments/{repaymentId}/return'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "externalRepaymentReturn",
"relationships": {
"repayment": {
"data": {
"type": "externalRepayment",
"id": "1"
}
}
}
}
}'
Response
Response is a JSON:API document.